org.apache.commons.lang3

## Class Streams.ArrayCollector<O>

- java.lang.Object
- - org.apache.commons.lang3.Streams.ArrayCollector<O>

- All Implemented Interfaces:
    Collector<O,List<O>,O[]>
  Enclosing class:
    Streams

      public static class Streams.ArrayCollector<O>
      extends Object
      implements Collector<O,List<O>,O[]>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.stream.Collector

      `Collector.Characteristics`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayCollector(Class<O> elementType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BiConsumer<List<O>,O>` | `accumulator()`
    `Set<Collector.Characteristics>` | `characteristics()`
    `BinaryOperator<List<O>>` | `combiner()`
    `Function<List<O>,O[]>` | `finisher()`
    `Supplier<List<O>>` | `supplier()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.stream.Collector

      `of, of`

- - ### Constructor Detail

    - #### ArrayCollector

          public ArrayCollector(Class<O> elementType)

  - ### Method Detail

    - #### supplier

          public Supplier<List<O>> supplier()

      Specified by:
        `supplier` in interface `Collector<O,List<O>,O[]>`

    - #### accumulator

          public BiConsumer<List<O>,O> accumulator()

      Specified by:
        `accumulator` in interface `Collector<O,List<O>,O[]>`

    - #### combiner

          public BinaryOperator<List<O>> combiner()

      Specified by:
        `combiner` in interface `Collector<O,List<O>,O[]>`

    - #### finisher

          public Function<List<O>,O[]> finisher()

      Specified by:
        `finisher` in interface `Collector<O,List<O>,O[]>`

    - #### characteristics

          public Set<Collector.Characteristics> characteristics()

      Specified by:
        `characteristics` in interface `Collector<O,List<O>,O[]>`

Copyright © 2001–2020 The Apache Software Foundation. All rights reserved.